# $Revision: 1.24 $, $Date: 2008-05-30 05:09:18 $
# TODO
# - pl for vim
Summary:	Tool to convert and to format texts
Summary(pl.UTF-8):	Narzędzie do konwertowania i formatowania tekstu
Summary(pt_BR.UTF-8):	Ferramenta para converter e formatar textos
Name:		txt2tags
Version:	2.3
Release:	3
License:	GPL
Group:		Applications/Text
Source0:	http://txt2tags.sourceforge.net/src/%{name}-%{version}.tgz
# Source0-md5:	0514bb01161183808dc8be105c032677
URL:		http://txt2tags.sourceforge.net/
Requires:	python
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim/vimfiles

%description
txt2tags is a tool to convert and to format texts. It functions thus:
you supply a text that has ones simple marquinhas for txt2tags and it
converts for any one of these formats:
- a document HTML
- a document SGML
- a document Latex
- a page of manual UNIX (manpage)
- a page of the MoinMoin
- a presentation of the Magic Point
- a PageMaker 6.0 document

%description -l pl.UTF-8
txt2tags jest narzędziem służącym do konwertowania oraz do
formatowania tekstów. Potrafi konwertować każdy z poniższych formatów:
- dokument HTML
- dokument SGML
- dokument Latex
- stronę podręcznika UNIX (manpage)
- stronę MoinMoin
- prezentację Magic Point
- dokument PageMakera 6.0

%description -l pt_BR.UTF-8
txt2tags é uma ferramenta para converter e formatar textos. Funciona
assim: você fornece um texto com umas marquinhas simples para o
txt2tags e ele converte para qualquer um desses formatos:
- um documento HTML
- um documento SGML
- um documento LaTeX
- uma página de manual UNIX (manpage)
- uma página do MoinMoin
- uma apresentação do Magic Point
- um documento do PageMaker 6.0

%package -n vim-syntax-txt2tags
Summary:	Vim - syntax
Summary(pl.UTF-8):	Składnia dla Vima
Group:		Applications/Editors/Vim
Requires:	%{name} = %{version}-%{release}
Requires:	vim-rt >= 4:6.3.058-3
Provides:	txt2tags-vim = %{version}-%{release}
Obsoletes:	txt2tags-vim < 2.3-3

%description -n vim-syntax-txt2tags
Vim syntax file and menu for gvim.

Also includes vim script to ':make' and build txt2tags target inside vim.
The hotkeys are <F5> for make, <F4> for displaying output and <F3> for discarding
output.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install doc/manpage.man $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

install -d $RPM_BUILD_ROOT%{_vimdatadir}/{syntax,plugin,ftplugin}
install extras/txt2tags.vim $RPM_BUILD_ROOT%{_vimdatadir}/syntax

cat > $RPM_BUILD_ROOT%{_vimdatadir}/plugin/%{name}.vim <<-EOF
" txt2tags file
au BufNewFile,BufRead *.t2t                 setf txt2tags
EOF
#" - for vim

install extras/txt2tags-compiler.vim $RPM_BUILD_ROOT%{_vimdatadir}/ftplugin/%{name}.vim
install extras/gvim-menu.vim $RPM_BUILD_ROOT%{_vimdatadir}/plugin/%{name}-menu.vim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc extras samples doc/userguide.pdf ChangeLog README* TEAM TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n vim-syntax-txt2tags
%defattr(644,root,root,755)
%{_vimdatadir}/syntax/*
%{_vimdatadir}/plugin/*
%{_vimdatadir}/ftplugin/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: txt2tags.spec,v $
Revision 1.24  2008-05-30 05:09:18  glen
- don't use epoch when not defined

Revision 1.23  2008-05-30 05:08:41  glen
- Provides for smooth upgrade

Revision 1.22  2008-05-29 20:43:55  glen
- release 3

Revision 1.21  2008-05-29 20:43:35  glen
- vimdatadir is in vim-rt package
- vim syntax package renamed to vim-syntax-txt2tags; rel 2

Revision 1.20  2007-02-12 22:09:18  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.18  2005/07/22 21:18:57  blekot
- up to 2.3

Revision 1.17  2005/02/01 21:32:51  glen
- use vimfiles directory

Revision 1.16  2004/12/31 00:17:48  glen
- removed outdated TODO

Revision 1.15  2004/12/30 21:55:29  paszczus
- updated to 2.2

Revision 1.14  2004/12/14 23:48:49  glen
- vim subpackage: put keybindings to ftplugin/, so they're mapped only on .t2t files

Revision 1.13  2004/12/14 23:42:29  qboosh
- removed bc (leftover after different version checking idea)

Revision 1.12  2004/12/14 23:32:30  glen
- vim subpackage R: vim-rt and txt2tags

Revision 1.11  2004/12/03 22:30:19  qboosh
- use epoch in vim deps, require dir (so vim x.y+1 won't satisfy dep)

Revision 1.10  2004/12/03 21:53:30  glen
- vim subpackage

Revision 1.9  2004/12/03 14:10:22  glen
- R: python-modules (for re)

Revision 1.8  2004/11/14 22:22:27  paszczus
- updated to 2.1

Revision 1.7  2004/09/09 13:30:34  darekr
- updated to 2.0
- changes in %install
- add more files to %doc

Revision 1.6  2004/04/07 17:54:16  qboosh
- cleanups

Revision 1.5  2004/04/07 06:43:03  twittner
- fixed pl

Revision 1.4  2004/04/07 05:11:34  ankry
- sync descriptions, cosmetics

Revision 1.3  2004/04/06 21:39:41  paszczus
- added pl description and summary

Revision 1.2  2004/04/06 19:46:50  twittner
- fixed Group:

Revision 1.1  2004/04/06 18:59:38  twittner
- added. Spec provided by glen <glen at delfi.ee> (BTS#877), modified by me.
